const FIFO = require("./fifo.js");
const b = new FIFO();
const enq_test = Buffer.from([1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16]);
let i = 0;
while (b.enq(enq_test)) {
   let ret = b.deq(15); // drain 1 byte less than what was enq'd
   let diff = Math.abs(ret[ret.length-1] - ret[0]);
   if (diff !== 2 && diff !== 14)
      throw Error("Failed. " + i + ": " + ret[0] + " " + ret[ret.length-1] + " " + diff);
   i++;
}
if (i == b.high - 15)
   console.log("Success!");
else
   console.log("Failed. i = " + i);
